Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 206238 - Review Request: qdbm - Quick Database Manager
Summary: Review Request: qdbm - Quick Database Manager
Keywords:
Status: CLOSED DUPLICATE of bug 229478
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-09-13 06:17 UTC by Akira TAGOH
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-01 13:47:41 UTC


Attachments (Terms of Use)
Mock build of qdbm-1.8.70-1 (deleted)
2006-10-11 15:38 UTC, Mamoru TASAKA
no flags Details

Description Akira TAGOH 2006-09-13 06:17:42 UTC
Spec URL: http://people.redhat.com/tagoh/qdbm/qdbm.spec
SRPM URL: http://people.redhat.com/tagoh/qdbm/qdbm-1.8.70-1.src.rpm
Description:
QDBM is an embedded database library compatible with GDBM and NDBM.
It features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher processing
speed, smaller size of a database file, and simpler API.

Comment 1 Parag AN(पराग) 2006-09-13 12:05:10 UTC
- mock build for FC6 i386 is not sucessfull
while processing qdbm package mock gave following messages.
/usr/bin/strip: unable to copy file
'/var/tmp/qdbm-1.8.70-root-mockbuild/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi/auto/Depot/Depot.so'
reason: Permission denied
/usr/bin/strip: unable to copy file
'/var/tmp/qdbm-1.8.70-root-mockbuild/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi/auto/Curia/Curia.so'
reason: Permission denied
/usr/bin/strip: unable to copy file
'/var/tmp/qdbm-1.8.70-root-mockbuild/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi/auto/Villa/Villa.so'
reason: Permission denied


- rpmlint is also not silent
Akira,
 I suggest you to mock build your package and see for rpmlint errors. There are
huge number of rpmlint errors and warnigs from all your packages. I cannot post
all of them.

Correct rpmlint output to be silent and update your package.
For more information about rpmlint errors use 
rpmlint -iv RPMname
And check description below each error to solve it.




Comment 2 Akira TAGOH 2006-09-14 05:56:57 UTC
the build itself is no problem for me on even mock. I'll fix the rpmlint things
though.

Comment 3 Parag AN(पराग) 2006-09-14 06:29:32 UTC
I think that is more important first to fix rpmlint errors and warnings.

Comment 4 Mamoru TASAKA 2006-10-11 15:38:20 UTC
Created attachment 138250 [details]
Mock build of qdbm-1.8.70-1

Mock build of qdbm-1.8.70-1 under FC-devel i386.

Well, what is the status of this review request? It seems
almost one month has passed without no progress.

I cannot rebuild this by mockbuild (and even by rpmbuild). See the log 
attached. 
Although building ended with failure, build log already has a problem.

+ make
gcc -c -I. -I/builddir/include -I/usr/local/include  -DMYPTHREAD -DMYZLIB
-DMYBZIP -DMYICONV -D_XOPEN_SOURCE_EXTENDED=1 -D_GNU_SOURCE=1
-D__EXTENSIONS__=1 -D_HPUX_SOURCE=1 -D_POSIX_MAPPED_FILES=1
-D_POSIX_SYNCHRONIZED_IO=1 -DPIC=1 -D_THREAD_SAFE=1 -D_REENTRANT=1 -DNDEBUG
-Wall -pedantic -fPIC -fsigned-char -O3 -fomit-frame-pointer -fforce-addr
-minline-all-stringops depot.c

This is incorrect because:
* Fedora CFLAGS is not used.
* This uses "-O3 -fomit-frame-pointer". This disables debugging.

Comment 5 Mamoru TASAKA 2006-11-23 22:57:52 UTC
Again ping?

I wait for one week before I close this bug as CLOSED FE-DEADREVIEW.

Comment 6 Mamoru TASAKA 2006-12-01 13:14:09 UTC
I wait another one day before marking this as CLOSED FE-DEADREVIEW.

Comment 7 Akira TAGOH 2006-12-01 13:33:10 UTC
Sorry for not getting back to you earlier. I'm being busy now. so I don't think
I can continue to work on this so far. if it would be appropriate, I don't mind
to close this. when I get a time and someone doesn't work on yet, I'll reopen
this then.

Thanks,

Comment 8 Mamoru TASAKA 2006-12-01 13:44:10 UTC
Thank you for reply. Now I once close this bug.
Please feel free to reopen this bug when you are willing to
do so.

Comment 9 Mamoru TASAKA 2007-02-21 13:25:02 UTC
Hello, Akira and Parag:

I rechecked Akira's srpm/spec and resumbitted as a new
request as bug 229478.

If you are interested, I would appreciate if you review
my review request. Thanks.

*** This bug has been marked as a duplicate of 229478 ***


Note You need to log in before you can comment on or make changes to this bug.